<script lang="ts" setup>
import type { BaseForm } from '@/types/base';

interface ContactForm {
  formHeader: string;
  formDescription: string;
  form: BaseForm;
}

interface AllForms {
  forms: Array<ContactForm>;
}

defineProps<AllForms>();
</script>

<template>
  <SlpSection class="contact-forms">
    <SlpRow>
      <SlpColumn
        v-for="formColumn in forms"
        :key="formColumn.formHeader"
        class="slp-px-md-32 contact-form-column"
        :cols="6"
      >
        <div class="contact-form-wrapper">
          <SlpTypography class="heading" tag="h2" variant="heading4">
            {{ formColumn.formHeader }}
          </SlpTypography>
          <SlpTypography class="description" tag="p" variant="body1">
            {{ formColumn.formDescription }}
          </SlpTypography>
          <CommonMktoForm v-bind="formColumn.form" />
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpSection>
</template>

<style lang="scss" scoped>
.contact-forms {
  padding: $spacing-48 0 $spacing-96 0;

  @media (max-width: $breakpoint-md) {
    padding: $spacing-64 0;
  }

  .contact-form-wrapper {
    background: $color-surface-50;
    border: 1px solid rgba(0, 0, 0, 0.08);
    border-radius: 4px;
    padding: $spacing-32;
    position: relative;

    .heading {
      text-align: center;
      margin-bottom: $spacing-24;
    }
  }

  @media (max-width: $breakpoint-md) {
    .contact-form-column:nth-of-type(2) {
      // Due to the 'column-reverse' of this row, the 2nd of type becomes the first of type on mobile
      margin-bottom: $spacing-48 !important;
    }

    .slp-row {
      @media (max-width: $breakpoint-md) {
        flex-direction: column-reverse;
      }
    }

    &:deep(.mktoForm),
    &:deep(.required_label) {
      padding: 0;
    }

    &:deep(.mktoLabel) {
      margin: $spacing-8 0;
    }
  }
}
</style>
